Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002697 [JEDI VCL] 02 Installation block always 2005-02-28 03:28 2005-03-16 04:20
Reporter anonymous View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002697: D5 std Installation fail on 02-25-05 JVCL
Description Delphi 5 standard installation fail on 02-25-05

Windows XP Service Pack 1 (5.1.2600)

MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
[Generating: Templates]
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
Writing: ..\D5\dcc32.cfg
Fatal: Command arguments too long

** error 1 ** deleting Templates
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006611)
AHUser (developer)
2005-02-28 13:20

Not again. The make.exe has a bug that causes make to fail if you have a environment variable with spaces in the directory names.

Clean your PATH environment variable. For example open a console window and change to the JVCL3 directory and type:

------------
SET PATH=
install.bat
------------
(0006633)
anonymous (viewer)
2005-03-02 17:05

I fixed it.

File .\packages\bin\makefile.mak

line 187
line 188

configfile:
...
    #@echo -U"$(UNITDIRS)">>"$(CFG)"
    #@echo -R"$(UNITDIRS)">>"$(CFG)"
...

and 'AnsiLineBreak' constant is not exists in D5.

Please correct it, too.

JvProgramVersionCheck.pas
line 786
(0006716)
AHUser (developer)
2005-03-16 04:20

Fixed in CVS. Delphi 5 and 6 no more add UNITDIRS.

- Issue History
Date Modified Username Field Change
2005-02-28 03:28 anonymous New Issue
2005-02-28 13:20 AHUser Note Added: 0006611
2005-02-28 14:15 anonymous Note Added: 0006612
2005-03-01 01:59 anonymous Note Added: 0006614
2005-03-02 01:37 anonymous Note Added: 0006626
2005-03-02 01:37 anonymous Note Deleted: 0006614
2005-03-02 15:44 anonymous Note Deleted: 0006626
2005-03-02 15:46 anonymous Note Added: 0006632
2005-03-02 17:00 anonymous Note Deleted: 0006632
2005-03-02 17:05 anonymous Note Added: 0006633
2005-03-02 17:06 anonymous Note Deleted: 0006612
2005-03-16 04:20 AHUser Status new => resolved
2005-03-16 04:20 AHUser Resolution open => fixed
2005-03-16 04:20 AHUser Assigned To => AHUser
2005-03-16 04:20 AHUser Note Added: 0006716


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker